<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: inc/application.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('application_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">application.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Header file for the application module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="main_8h_source.html">main.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for application.h:</div>
<div class="dyncontent">
<div class="center"><img src="application_8h__incl.png" border="0" usemap="#inc_2application_8h" alt=""/></div>
<map name="inc_2application_8h" id="inc_2application_8h">
<area shape="rect" id="node2" href="main_8h.html" title="Header for main.c module. " alt="" coords="353,80,415,107"/><area shape="rect" id="node3" href="API_8h_source.html" title="API.h" alt="" coords="315,155,370,181"/><area shape="rect" id="node5" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="137,229,199,256"/><area shape="rect" id="node6" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="216,304,283,331"/><area shape="rect" id="node7" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="299,229,386,256"/><area shape="rect" id="node8" href="USART_8h.html" title="Header file for the USART.c module. " alt="" coords="410,229,489,256"/><area shape="rect" id="node9" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="513,229,604,256"/><area shape="rect" id="node11" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="730,229,809,256"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="application_8h__dep__incl.png" border="0" usemap="#inc_2application_8hdep" alt=""/></div>
<map name="inc_2application_8hdep" id="inc_2application_8hdep">
<area shape="rect" id="node2" href="main_8h.html" title="Header for main.c module. " alt="" coords="22,80,105,107"/><area shape="rect" id="node4" href="application_8c.html" title="Implementation of the application code. " alt="" coords="129,80,246,107"/><area shape="rect" id="node3" href="main_8c.html" title="main programm body " alt="" coords="22,155,105,181"/></map>
</div>
</div>
<p><a href="application_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmeasured__data__t.html">measured_data_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ae50dd200af8b9f7da9406922f71655bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#ae50dd200af8b9f7da9406922f71655bc">U_DIFF</a>&#160;&#160;&#160;((uint16_t)100)</td></tr>
<tr class="memdesc:ae50dd200af8b9f7da9406922f71655bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">set debug mode (config PA14 and LPUART)  <a href="#ae50dd200af8b9f7da9406922f71655bc">More...</a><br /></td></tr>
<tr class="separator:ae50dd200af8b9f7da9406922f71655bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71be4a990011c7b00830abf5f3b2190d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71be4a990011c7b00830abf5f3b2190d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#a71be4a990011c7b00830abf5f3b2190d">USE_WATCHDOG</a></td></tr>
<tr class="memdesc:a71be4a990011c7b00830abf5f3b2190d"><td class="mdescLeft">&#160;</td><td class="mdescRight">enable Watchdog <br /></td></tr>
<tr class="separator:a71be4a990011c7b00830abf5f3b2190d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a53a6c94a70cc286e300a0ea8f46ba4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a53a6c94a70cc286e300a0ea8f46ba4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#a6a53a6c94a70cc286e300a0ea8f46ba4">USART_BAUDRATE</a>&#160;&#160;&#160;((uint32_t)9600)</td></tr>
<tr class="memdesc:a6a53a6c94a70cc286e300a0ea8f46ba4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Baudrate definitions. <br /></td></tr>
<tr class="separator:a6a53a6c94a70cc286e300a0ea8f46ba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac33ed2ced8112df86c931eeadd9146b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac33ed2ced8112df86c931eeadd9146b2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LPUART_BAUDRATE</b>&#160;&#160;&#160;((uint32_t)9600)</td></tr>
<tr class="separator:ac33ed2ced8112df86c931eeadd9146b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304fd59b0fc2e8306dc3593bfa339e85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a304fd59b0fc2e8306dc3593bfa339e85"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#a304fd59b0fc2e8306dc3593bfa339e85">LED_PORT_PIN</a>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PC14)</td></tr>
<tr class="memdesc:a304fd59b0fc2e8306dc3593bfa339e85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Portpin definitions. <br /></td></tr>
<tr class="separator:a304fd59b0fc2e8306dc3593bfa339e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a7c79253c2e5117ecc29a8a6d8864c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a7c79253c2e5117ecc29a8a6d8864c7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>USART_PORT_PIN_RX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA10)</td></tr>
<tr class="separator:a5a7c79253c2e5117ecc29a8a6d8864c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affede87460e0ca4c46b3a67e9eed7252"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affede87460e0ca4c46b3a67e9eed7252"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>USART_PORT_PIN_TX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA9)</td></tr>
<tr class="separator:affede87460e0ca4c46b3a67e9eed7252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f90a6a502f2b36e69642e399ef095e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72f90a6a502f2b36e69642e399ef095e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>USART_ALTERNATIVE_FUNCTION_RX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>) ALTERNATIVE_FUNCTION_4)</td></tr>
<tr class="separator:a72f90a6a502f2b36e69642e399ef095e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5681625b00ef266b6f40ed3d929f3994"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5681625b00ef266b6f40ed3d929f3994"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>USART_ALTERNATIVE_FUNCTION_TX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>) ALTERNATIVE_FUNCTION_4)</td></tr>
<tr class="separator:a5681625b00ef266b6f40ed3d929f3994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f36a35130def93e899ca88dab3271b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3f36a35130def93e899ca88dab3271b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LPUART_PORT_PIN_RX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA13)</td></tr>
<tr class="separator:ad3f36a35130def93e899ca88dab3271b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ed36c3a0862bf0613fde72fc6f867fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ed36c3a0862bf0613fde72fc6f867fc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LPUART_PORT_PIN_TX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA14)</td></tr>
<tr class="separator:a8ed36c3a0862bf0613fde72fc6f867fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0710acd18175d909399e6b46f466929f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0710acd18175d909399e6b46f466929f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LPUART_ALTERNATIVE_FUNCTION_RX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>) ALTERNATIVE_FUNCTION_6)</td></tr>
<tr class="separator:a0710acd18175d909399e6b46f466929f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf995a8ce125dfeef6c4828930da080"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdf995a8ce125dfeef6c4828930da080"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LPUART_ALTERNATIVE_FUNCTION_TX</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>) ALTERNATIVE_FUNCTION_6)</td></tr>
<tr class="separator:abdf995a8ce125dfeef6c4828930da080"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27572d2787651eb2a3ad6eb08b713bca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27572d2787651eb2a3ad6eb08b713bca"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_DIODE_1_4_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA0)</td></tr>
<tr class="separator:a27572d2787651eb2a3ad6eb08b713bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aece3229b2b6280a49b76fa09d0388f28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aece3229b2b6280a49b76fa09d0388f28"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_DIODE_2_5_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA1)</td></tr>
<tr class="separator:aece3229b2b6280a49b76fa09d0388f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff79330fdc21dadc176bd41b7918bfb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff79330fdc21dadc176bd41b7918bfb8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_DIODE_3_6_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA2)</td></tr>
<tr class="separator:aff79330fdc21dadc176bd41b7918bfb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad642956861aa4bd21dc6b0d600b729d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad642956861aa4bd21dc6b0d600b729d6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_1_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA3)</td></tr>
<tr class="separator:ad642956861aa4bd21dc6b0d600b729d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ee2c165b8234eb398e71ebcb607c4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94ee2c165b8234eb398e71ebcb607c4f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_2_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA4)</td></tr>
<tr class="separator:a94ee2c165b8234eb398e71ebcb607c4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cb127c1c7f3d155f43090640b401f2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cb127c1c7f3d155f43090640b401f2c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_3_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA5)</td></tr>
<tr class="separator:a6cb127c1c7f3d155f43090640b401f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792fd0d95457f39c571eae7ca861be7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a792fd0d95457f39c571eae7ca861be7f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_4_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA6)</td></tr>
<tr class="separator:a792fd0d95457f39c571eae7ca861be7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2762d46e54c20986eb120bddd525fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf2762d46e54c20986eb120bddd525fd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_5_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA7)</td></tr>
<tr class="separator:acf2762d46e54c20986eb120bddd525fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a2abf58047fe69a7ad2a30f53e4be3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a2abf58047fe69a7ad2a30f53e4be3f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_6_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PB1)</td></tr>
<tr class="separator:a7a2abf58047fe69a7ad2a30f53e4be3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1751dfa7077c9e0937622a4246b6a5b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1751dfa7077c9e0937622a4246b6a5b4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_1_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)3)</td></tr>
<tr class="separator:a1751dfa7077c9e0937622a4246b6a5b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad640b7b7fb9e6d507bc3fa6cc232d01a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad640b7b7fb9e6d507bc3fa6cc232d01a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_2_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)4)</td></tr>
<tr class="separator:ad640b7b7fb9e6d507bc3fa6cc232d01a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a610ce945f490a1f4f600f13c497f3fc3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a610ce945f490a1f4f600f13c497f3fc3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_3_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)5)</td></tr>
<tr class="separator:a610ce945f490a1f4f600f13c497f3fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb51525076240d03970b593f99e8d15b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb51525076240d03970b593f99e8d15b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_4_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)6)</td></tr>
<tr class="separator:abb51525076240d03970b593f99e8d15b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d9daf3b15940a7c2931615a08a7d80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8d9daf3b15940a7c2931615a08a7d80"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_5_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)7)</td></tr>
<tr class="separator:af8d9daf3b15940a7c2931615a08a7d80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab30e2d6f3ee7cc6e0ba9fc2f3beb5ac6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab30e2d6f3ee7cc6e0ba9fc2f3beb5ac6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IR_TRANSISTOR_6_PORT_PIN_ADC_CHANNEL</b>&#160;&#160;&#160;((uint8_t)9)</td></tr>
<tr class="separator:ab30e2d6f3ee7cc6e0ba9fc2f3beb5ac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc61aa860f1cbb42ad9611aa21bbd34"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adfc61aa860f1cbb42ad9611aa21bbd34"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LAST_BOARD_DETECT_PORT_PIN</b>&#160;&#160;&#160;((<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *)&amp;PA14)</td></tr>
<tr class="separator:adfc61aa860f1cbb42ad9611aa21bbd34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98374b3ed7ab743e79aaff799fc0c737"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98374b3ed7ab743e79aaff799fc0c737"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#a98374b3ed7ab743e79aaff799fc0c737">NORMAL_INDEX</a>&#160;&#160;&#160;((uint8_t)0x40)</td></tr>
<tr class="memdesc:a98374b3ed7ab743e79aaff799fc0c737"><td class="mdescLeft">&#160;</td><td class="mdescRight">Index byte definitions. <br /></td></tr>
<tr class="separator:a98374b3ed7ab743e79aaff799fc0c737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1dea134187c4dd26a028d0964538d48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1dea134187c4dd26a028d0964538d48"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>START_INDEX</b>&#160;&#160;&#160;((uint8_t)0xA0)</td></tr>
<tr class="separator:ac1dea134187c4dd26a028d0964538d48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc0ef5091e06abf8599cf6b52929c32c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc0ef5091e06abf8599cf6b52929c32c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>END_INDEX</b>&#160;&#160;&#160;((uint8_t)0xC0)</td></tr>
<tr class="separator:abc0ef5091e06abf8599cf6b52929c32c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe5218765bcbcec5633fbc83c77e642"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7fe5218765bcbcec5633fbc83c77e642"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>START_END_INDEX</b>&#160;&#160;&#160;((uint8_t)0x80)</td></tr>
<tr class="separator:a7fe5218765bcbcec5633fbc83c77e642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab412fff656e8ef08cd115139d45aa238"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab412fff656e8ef08cd115139d45aa238"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>ERROR_INDEX</b>&#160;&#160;&#160;((uint8_t)0xE0)</td></tr>
<tr class="separator:ab412fff656e8ef08cd115139d45aa238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4678f2fb7e65236d03f363fc26c73f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf4678f2fb7e65236d03f363fc26c73f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IS_NORMAL_INDEX</b>(index)&#160;&#160;&#160;((((index) &amp; <a class="el" href="application_8h.html#a98374b3ed7ab743e79aaff799fc0c737">NORMAL_INDEX</a>)    == <a class="el" href="application_8h.html#a98374b3ed7ab743e79aaff799fc0c737">NORMAL_INDEX</a>)    ? 1 : 0)</td></tr>
<tr class="separator:abf4678f2fb7e65236d03f363fc26c73f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9300fdf7c9f91715623305c2b7650ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9300fdf7c9f91715623305c2b7650ea"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IS_START_INDEX</b>(index)&#160;&#160;&#160;((((index) &amp; START_INDEX)     == START_INDEX)     ? 1 : 0)</td></tr>
<tr class="separator:aa9300fdf7c9f91715623305c2b7650ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1196a0e39250646bc45f17964ea737"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b1196a0e39250646bc45f17964ea737"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IS_END_INDEX</b>(index)&#160;&#160;&#160;((((index) &amp; END_INDEX)       == END_INDEX)       ? 1 : 0)</td></tr>
<tr class="separator:a8b1196a0e39250646bc45f17964ea737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9e5b4a157af0235b013e025a2b8fe4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9e5b4a157af0235b013e025a2b8fe4e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IS_START_END_INDEX</b>(index)&#160;&#160;&#160;((((index) &amp; START_END_INDEX) == START_END_INDEX) ? 1 : 0)</td></tr>
<tr class="separator:af9e5b4a157af0235b013e025a2b8fe4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4620bfd25b46dff0cb1f3de5e3283eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4620bfd25b46dff0cb1f3de5e3283eb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IS_ERROR_INDEX</b>(index)&#160;&#160;&#160;((((index) &amp; ERROR_INDEX)     == ERROR_INDEX)     ? 1 : 0)</td></tr>
<tr class="separator:ae4620bfd25b46dff0cb1f3de5e3283eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12f15312ae33e2a31fc41ebc7b3fbd38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12f15312ae33e2a31fc41ebc7b3fbd38"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SET_NORMAL_INDEX</b>(index)&#160;&#160;&#160;(((index) &amp; ~0xE0) | NORMAL_INDEX)</td></tr>
<tr class="separator:a12f15312ae33e2a31fc41ebc7b3fbd38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5658e2f1f1279f0da3f2f57da496549a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5658e2f1f1279f0da3f2f57da496549a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SET_START_INDEX</b>(index)&#160;&#160;&#160;(((index) &amp; ~0xE0) | START_INDEX)</td></tr>
<tr class="separator:a5658e2f1f1279f0da3f2f57da496549a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af20f8c0b33c89785db48e28f7aaac7f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af20f8c0b33c89785db48e28f7aaac7f9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SET_END_INDEX</b>(index)&#160;&#160;&#160;(((index) &amp; ~0xE0) | END_INDEX)</td></tr>
<tr class="separator:af20f8c0b33c89785db48e28f7aaac7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34dc641842c11d549bd55627da56ded"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad34dc641842c11d549bd55627da56ded"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SET_START_END_INDEX</b>(index)&#160;&#160;&#160;(((index) &amp; ~0xE0) | START_END_INDEX)</td></tr>
<tr class="separator:ad34dc641842c11d549bd55627da56ded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa73f2fd0ffa6ab61bbd1c2d388d1df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfa73f2fd0ffa6ab61bbd1c2d388d1df"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SET_ERROR_INDEX</b>(index)&#160;&#160;&#160;(((index) &amp; ~0xE0) | ERROR_INDEX)</td></tr>
<tr class="separator:acfa73f2fd0ffa6ab61bbd1c2d388d1df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2e439f2b04834d172773e10ee426317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2e439f2b04834d172773e10ee426317"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#af2e439f2b04834d172773e10ee426317">T_PERIOD_S</a>&#160;&#160;&#160;((float)200e-6)</td></tr>
<tr class="memdesc:af2e439f2b04834d172773e10ee426317"><td class="mdescLeft">&#160;</td><td class="mdescRight">measurement_state_machine period time [s] <br /></td></tr>
<tr class="separator:af2e439f2b04834d172773e10ee426317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4805281aa2b04894f32e3da9e5a340e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4805281aa2b04894f32e3da9e5a340e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#aa4805281aa2b04894f32e3da9e5a340e">LED_ON_TIME_S</a>&#160;&#160;&#160;((float)150e-6)</td></tr>
<tr class="memdesc:aa4805281aa2b04894f32e3da9e5a340e"><td class="mdescLeft">&#160;</td><td class="mdescRight">LED On- and Off-time. <br /></td></tr>
<tr class="separator:aa4805281aa2b04894f32e3da9e5a340e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0bc2304f15c0f90a2eaa1dfd2a87df0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0bc2304f15c0f90a2eaa1dfd2a87df0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LED_OFF_TIME_S</b>&#160;&#160;&#160;((float)150e-6)</td></tr>
<tr class="separator:ab0bc2304f15c0f90a2eaa1dfd2a87df0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a13d9e1c12926c3cf40995d4b5baafd1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13d9e1c12926c3cf40995d4b5baafd1a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>startup_sequence</b> (void)</td></tr>
<tr class="separator:a13d9e1c12926c3cf40995d4b5baafd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a972149ddf8c5a245a0457877732117bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="application_8h.html#a972149ddf8c5a245a0457877732117bc">set_led</a> (uint8_t on)</td></tr>
<tr class="memdesc:a972149ddf8c5a245a0457877732117bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">configures the led and turns it on or off  <a href="#a972149ddf8c5a245a0457877732117bc">More...</a><br /></td></tr>
<tr class="separator:a972149ddf8c5a245a0457877732117bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Header file for the application module. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>16.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ae50dd200af8b9f7da9406922f71655bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define U_DIFF&#160;&#160;&#160;((uint16_t)100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>set debug mode (config PA14 and LPUART) </p>
<p>U_diff [mV] definition </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a972149ddf8c5a245a0457877732117bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void set_led </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>on</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>configures the led and turns it on or off </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">&gt;0...LED</td><td>on 0...LED off </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="application_8h.html">application.h</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
